Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: MagIRC Requirments Fail: magic_quotes_gpc  (Read 6511 times)

0 Members and 1 Guest are viewing this topic.

daniel

  • Anope User
  • Offline Offline
  • Posts: 19
MagIRC Requirments Fail: magic_quotes_gpc
« on: March 26, 2013, 08:11:25 AM »

Hi All,
       I have unrealircd & Anope running perfect. I found magirc & would love to ran it.
       I have windows 2008 r2, IIS, Mysql 5.5.25, PHP Version 5.3.5
       When i try ran the install, i get the following error:

Welcome to the MagIRC Setup
Please follow the on-screen instructions to install MagIRC

1. Requirements check
Checking PHP version... Supported (5.3.5)
Checking PHP magic_quotes_gpc... Enabled
Please ensure that the magic_quotes_gpc option is turned OFF in your php.ini!
Checking PHP PDO mysql driver... Present
Checking PHP mcrypt extension... Present
Checking PHP gettext extension... Present
Checking SQL configuration files... Writable
Checking if tmp/ is writable...  Writable

I have tired everything to disable magic_quotes_gpc in php.ini but it wont DISABLE.
Tired to research the error, but not much support, I have been stuck on this for awhile.
Please help, here is my php.ini file

;   magic_quotes_gpc
;   Default Value: off
;   Development Value: Off
;   Production Value: Off

; scheduled for removal in PHP 6.
; Default Value: Off
; Development Value: Off
; Production Value: Off
; http://php.net/magic-quotes-gpc
magic_quotes_gpc = Off

; Magic quotes for runtime-generated data, e.g. data from SQL, from exec(),

etc.
; http://php.net/magic-quotes-runtime
magic_quotes_runtime = Off

; Use Sybase-style magic quotes (escape ' with '' instead of \').
; http://php.net/magic-quotes-sybase
magic_quotes_sybase = Off
« Last Edit: March 26, 2013, 08:15:02 AM by daniel »
Logged

daniel

  • Anope User
  • Offline Offline
  • Posts: 19
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #1 on: April 08, 2013, 02:28:07 AM »

Really disappointing that i cant get any support for this product
I have provided great detail & not one person can help me
I should uninstall it & not worry about it
I am sure this has happened to someone
Logged

Taylor

  • Contributor
  • *
  • Offline Offline
  • Posts: 99
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #2 on: April 08, 2013, 02:39:57 AM »

First off we are all volunteers with life outside of the Internet, magirc does NOT pay the bills! :P

Second, your issue is not with MagIRC, it is with your php installation, we do not generally support other products.


But since I am a nice guy, I'll tell you to double check you are editing the right file.  I'm pretty sure you arent. or you are not reloading your webserver.
Logged
Cronus
irc.cncirc.net
http://CnCIRC.net

daniel

  • Anope User
  • Offline Offline
  • Posts: 19
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #3 on: April 08, 2013, 11:08:14 AM »

Thanks for your response
I respect your time for this project
There is only one php.ini file to edit, I have reloaded my web server.
All good, seems you made an excellent product but this error, wont let me use it
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #4 on: April 08, 2013, 11:30:23 AM »

Provide a link to a php page that has the following content:

<?php
phpinfo();
?>

Logged

meepmeep

  • Anope User
  • Offline Offline
  • Posts: 12
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #5 on: April 08, 2013, 10:20:51 PM »

Hi

I disabled the magic_quote locally by adding theses lines on the .htaccess file:

Code: [Select]
php_value magic_quotes 0
php_flag magic_quotes off
php_value magic_quotes_gpc 0
php_flag magic_quotes_gpc off
Logged

daniel

  • Anope User
  • Offline Offline
  • Posts: 19
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #6 on: April 09, 2013, 11:08:09 AM »

Thanks for replying, i really appreciate it

Charles Kingsley: Those commands are checking what php version i have - I already said in my first post what version im using

meepmeep: I have read something like this somewhere but had no luck.
I edited the file .htaccess which is located under MagIRC\setup\.htaccess - Is this the file path you edited.

Currently in my file i have the following:

<IfModule mod_rewrite.c>
RewriteEngine Off
</IfModule>

Where do you place it go get it going.
Thank you again for your help, i am really frustrated with this magic quote issue.
Is it possible to email your .htaccess file

Thanks
Daniel
Logged

Hal9000

  • Team
  • *
  • Offline Offline
  • Posts: 103
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #7 on: April 10, 2013, 05:47:34 PM »

Daniel, you should not need to mess around with .htaccess for the magic_quotes thing if you can manage php.ini.
Just create a test.php file with <?php phpinfo(); ?> in it, open it in your browser, and look for magic_quotes_gpc... if it says it is on, you definetly did not edit the correct php.ini file or did not restart your IIS server. You might have another php.ini file somewhere else is my guess.
As Taylor pointed out, we cannot support PHP/IIS/etc issues. You might have better luck getting help in php+iis related forums since this is a server issue, not a MagIRC issue.
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #8 on: April 10, 2013, 06:22:44 PM »

Hi Daniel,

Quote
Charles Kingsley: Those commands are checking what php version i have - I already said in my first post what version im using

Rubbish. What I asked for would have helped us all get a better picture of your system and what files are being used for configuration etc as it seems you're editing *a* php.ini and nothing is happening. My suggestion would at least help us understand what php.ini the system is using as they may not be one and the same.

But hey, if you know best I'll go away and not bother trying to help you.
Logged

daniel

  • Anope User
  • Offline Offline
  • Posts: 19
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #9 on: April 11, 2013, 08:05:17 AM »

Charles I just really want to apologize to you and your team if i sounded rude.
I am not big in PHP & i used that script previously to tell me the version, but after reading the last two posts, i feel like a goose.
Ok I ran the script & found magic quotes on but thought why is this when i disabled it in PHP.ini

Hal9000: You might have another php.ini file somewhere else is my guess.

Indeed this was the case, I searched the server & found another php.ini
I disabled it & works perfect - THANKS EVERYONE

I always edited c:\php & was successful in my web server with these changes.
I couldnt believe i found another php.ini in a different location.

I am really happy you guys helped me, when it was a server issue not a magirc issue
I really look forward to using the product that you spent hours creating

THANK YOU AGAIN
« Last Edit: April 11, 2013, 08:13:24 AM by daniel »
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: MagIRC Requirments Fail: magic_quotes_gpc
« Reply #10 on: April 11, 2013, 08:07:35 AM »

No worries.
Logged
Pages: [1]   Go Up